All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PVXMLRecordableFilename Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLRecordableFilename:

## Public Member Functions

PBoolean | Open (const PString &arg)
bool | OnStart (PVXMLChannel &incomingChannel)
PBoolean | OnFrame (PBoolean isSilence)
Public Member Functions inherited from PVXMLRecordable
| PVXMLRecordable ()
virtual void | OnStop ()
void | SetFinalSilence (unsigned v)
unsigned | GetFinalSilence ()
void | SetMaxDuration (unsigned v)
unsigned | GetMaxDuration ()
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

PFilePath | m_fileName
Protected Attributes inherited from PVXMLRecordable
PSimpleTimer | m_silenceTimer
PSimpleTimer | m_recordTimer
unsigned | m_finalSilence
unsigned | m_maxDuration

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Member Function Documentation

PBoolean PVXMLRecordableFilename::OnFrame | ( | PBoolean | isSilence | ) |

virtual

Reimplemented from PVXMLRecordable.

bool PVXMLRecordableFilename::OnStart | ( | PVXMLChannel & | incomingChannel | ) |

virtual

Implements PVXMLRecordable.

PBoolean PVXMLRecordableFilename::Open | ( | const PString & | arg | ) |

virtual

Implements PVXMLRecordable.

## Member Data Documentation

PFilePath PVXMLRecordableFilename::m_fileName

protected

The documentation for this class was generated from the following file:

- vxml.h